Package org.eclipse.lemminx.services.extensions.rename

## Interface IRenameRequest

All Superinterfaces:
  `IPositionRequest`

    public interface IRenameRequest
    extends IPositionRequest

Rename request API.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getNewText()`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.IPositionRequest

`getComponent, getCurrentAttribute, getCurrentAttributeName, getCurrentTag, getLineIndentInfo, getNode, getOffset, getParentElement, getPosition, getXMLDocument`

### Method Detail

#### getNewText

    String getNewText()